// Copyright 2023-2024 Gentoo Authors
// Distributed under the terms of the GNU General Public License v2

open System
open System.Threading.Tasks

open System.CommandLine
open System.CommandLine.Invocation

open Gdmt.Shared.PackageName

let commandName = "gdmt-pn"
let commandDescription = "show package name of current directory"

[<EntryPoint>]
let main argv =
    let rootCommand = RootCommand(commandName)

    rootCommand.Name <- commandName
    rootCommand.Description <- commandDescription

    let rootCommandHandler =
        Func<InvocationContext, Task>(fun _context ->
            let operation =
                async {
                    let packageFullName = PackageName.GetFullPackageName "."

                    printfn "%s" packageFullName

                    ()
                }

            Async.StartAsTask(operation, TaskCreationOptions.None))

    rootCommand.SetHandler rootCommandHandler

    rootCommand.Invoke(argv)
